# Get all metastores associated with an account

Launch stage: GA

`GET /api/2.0/accounts/{account_id}/metastores`

Gets all Unity Catalog metastores associated with an account specified by ID.

API scopes: unity-catalog

## Path parameters

- `account_id` (string, uuid, required)
  Databricks account ID of any type. For non-E2 account types, get your account ID from the [Accounts Console](https://docs.databricks.com/administration-guide/account-settings/usage.html)

## Returns

Returns a list of MetastoreInfo objects.

## Response

```json
{
  "metastores": [
    {
      "name": "string",
      "storage_root": "string",
      "default_data_access_config_id": "string",
      "storage_root_credential_id": "string",
      "delta_sharing_scope": "INTERNAL",
      "delta_sharing_recipient_token_lifetime_in_seconds": 0,
      "delta_sharing_organization_name": "string",
      "owner": "string",
      "privilege_model_version": "string",
      "region": "string",
      "metastore_id": "string",
      "created_at": 0,
      "created_by": "string",
      "updated_at": 0,
      "updated_by": "string",
      "storage_root_credential_name": "string",
      "cloud": "string",
      "global_metastore_id": "string",
      "external_access_enabled": true
    }
  ]
}
```

